﻿Type=Class
Version=3
@EndOfDesignText@

'Class module
Sub Class_Globals
	Private nu As Boolean
	Private et As EditText
	Private vr As VoiceRecognition
	Private btn As Button
End Sub

Public Sub Initialize (TargetModule As Object, EventName As String)
	vr.Initialize("vr")
End Sub

Public Sub DesignerCreateView(base As Panel, lbl As Label, Props As Map)
	btn.Initialize("btn")
	base.AddView(btn, 0, 0, base.Width, base.Height)
	btn.Background = LoadResourceDrawable(17301668) 'R.drawable.ic_btn_speak_now
	btn.Enabled = vr.IsSupported
End Sub

Private Sub btn_Click
	vr.Listen
End Sub

Private Sub vr_Result (Success As Boolean, Texts As List)
	If Success AND Texts.Size > 0 Then
		Dim MyEntry As String
		MyEntry=Texts.Get(0)
		If nu=True Then
			MyEntry=MyEntry.Replace(" punto ",".")
			MyEntry=MyEntry.Replace(" virgola ",".")
			MyEntry=MyEntry.Replace("uno","1")	  
			MyEntry=MyEntry.Replace("sei","6")	  
			If IsNumber(MyEntry.SubString2(0,1)) Then       
			    MyEntry=MyEntry.Replace(" ","")
			    If IsNumber(MyEntry)=False Then
					MyEntry=""
					ToastMessageShow("No lettere",False)
			    End If      
			End If
		End If
	    If IsNumber(MyEntry)=False AND nu=True Then
			MyEntry=""
			ToastMessageShow("No lettere",False)
		Else
			et.Text = MyEntry
	    End If				
	End If
End Sub
Public Sub setNumerico(val As Boolean)
	nu = val
End Sub
Public Sub setTargetEditText(val As EditText)
	et = val
End Sub

Public Sub setIcon(bmp As Bitmap)
	Dim bd As BitmapDrawable
	bd.Initialize(bmp)
	btn.Background = bd
End Sub

Public Sub setLanguage(val As String)
	vr.Language = "it"
End Sub

Private Sub LoadResourceDrawable(id As Int) As Object
	Dim r As Reflector
    r.Target = r.GetContext
    r.Target = r.RunMethod("getResources")
	Return r.RunMethod2("getDrawable", id, "java.lang.int")
End Sub